RGB2YCBCR Module Reference
Inheritance diagram for RGB2YCBCR:
[legend]

## Static Public Member Functions

## Always Constructs

ALWAYS_316 | ( clk )
ALWAYS_317 | ( clk )
ALWAYS_318 | ( clk )

## Public Attributes

## Inputs

clk |
rst |
enable |
data_in | [ 23 : 0 ]

## Outputs

data_out | [ 23 : 0 ]
enable_out |

## Signals

wire[ 13 : 0 ] | Y1
wire[ 13 : 0 ] | Y2
wire[ 13 : 0 ] | Y3
wire[ 13 : 0 ] | CB1
wire[ 13 : 0 ] | CB2
wire[ 13 : 0 ] | CB3
wire[ 13 : 0 ] | CR1
wire[ 13 : 0 ] | CR2
wire[ 13 : 0 ] | CR3
reg[ 21 : 0 ] | Y_temp
reg[ 21 : 0 ] | CB_temp
reg[ 21 : 0 ] | CR_temp
reg[ 21 : 0 ] | Y1_product
reg[ 21 : 0 ] | Y2_product
reg[ 21 : 0 ] | Y3_product
reg[ 21 : 0 ] | CB1_product
reg[ 21 : 0 ] | CB2_product
reg[ 21 : 0 ] | CB3_product
reg[ 21 : 0 ] | CR1_product
reg[ 21 : 0 ] | CR2_product
reg[ 21 : 0 ] | CR3_product
reg[ 7 : 0 ] | Y
reg[ 7 : 0 ] | CB
reg[ 7 : 0 ] | CR
reg | enable_1
reg | enable_2
reg | enable_out
wire[ 23 : 0 ] | data_out

## Detailed Description

Definition at line 44 of file rgb2ycbcr.v.

## Member Function Documentation

ALWAYS_316 | ( |  | clk
| ) |  |

Always Construct

Definition at line 71 of file rgb2ycbcr.v.

ALWAYS_317 | ( |  | clk
| ) |  |

Always Construct

Definition at line 107 of file rgb2ycbcr.v.

ALWAYS_318 | ( |  | clk
| ) |  |

Always Construct

Definition at line 124 of file rgb2ycbcr.v.

## Member Data Documentation

clk

Input

Definition at line 46 of file rgb2ycbcr.v.

rst

Input

Definition at line 47 of file rgb2ycbcr.v.

enable

Input

Definition at line 48 of file rgb2ycbcr.v.

data_in [ 23 : 0 ]

Input

Definition at line 49 of file rgb2ycbcr.v.

data_out [ 23 : 0 ]

Output

Definition at line 50 of file rgb2ycbcr.v.

enable_out

Output

Definition at line 51 of file rgb2ycbcr.v.

Y1

Signal

Definition at line 54 of file rgb2ycbcr.v.

Y2

Signal

Definition at line 55 of file rgb2ycbcr.v.

Y3

Signal

Definition at line 56 of file rgb2ycbcr.v.

CB1

Signal

Definition at line 57 of file rgb2ycbcr.v.

CB2

Signal

Definition at line 58 of file rgb2ycbcr.v.

CB3

Signal

Definition at line 59 of file rgb2ycbcr.v.

CR1

Signal

Definition at line 60 of file rgb2ycbcr.v.

CR2

Signal

Definition at line 61 of file rgb2ycbcr.v.

CR3

Signal

Definition at line 62 of file rgb2ycbcr.v.

Y_temp

Signal

Definition at line 63 of file rgb2ycbcr.v.

CB_temp

Signal

Definition at line 63 of file rgb2ycbcr.v.

CR_temp

Signal

Definition at line 63 of file rgb2ycbcr.v.

Y1_product

Signal

Definition at line 64 of file rgb2ycbcr.v.

Y2_product

Signal

Definition at line 64 of file rgb2ycbcr.v.

Y3_product

Signal

Definition at line 64 of file rgb2ycbcr.v.

CB1_product

Signal

Definition at line 65 of file rgb2ycbcr.v.

CB2_product

Signal

Definition at line 65 of file rgb2ycbcr.v.

CB3_product

Signal

Definition at line 65 of file rgb2ycbcr.v.

CR1_product

Signal

Definition at line 66 of file rgb2ycbcr.v.

CR2_product

Signal

Definition at line 66 of file rgb2ycbcr.v.

CR3_product

Signal

Definition at line 66 of file rgb2ycbcr.v.

Y

Signal

Definition at line 67 of file rgb2ycbcr.v.

CB

Signal

Definition at line 67 of file rgb2ycbcr.v.

CR

Signal

Definition at line 67 of file rgb2ycbcr.v.

enable_1

Signal

Definition at line 68 of file rgb2ycbcr.v.

enable_2

Signal

Definition at line 68 of file rgb2ycbcr.v.

enable_out

Signal

Definition at line 68 of file rgb2ycbcr.v.

data_out

Signal

Definition at line 69 of file rgb2ycbcr.v.

The documentation for this Module was generated from the following files:

- code/rgb2ycbcr.v